Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.srs
Class DemoCRSTransform

    java.lang.Object
      org.deegree.tools.srs.DemoCRSTransform

    public class DemoCRSTransform

extends Object

The `DemoCRSTransform` is a sa(i)mple application for using deegree coordinate systems and their transformations.

Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`DemoCRSTransform(CoordinateSystem sourceCRS, CoordinateSystem targetCRS)` Construct a demo crs with following coordinate systems.

Method Summary
`void` | `doTransform(javax.vecmath.Point3d coordinate, boolean withInverse)` This method transforms the given coordinate (in the sourceCRS) into a coordinate of the targetCRS and back.
`static void` | `main(String[] args)` a starter method to transform a given point or a serie of points read from a file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DemoCRSTransform

    public DemoCRSTransform(CoordinateSystem sourceCRS,
                            CoordinateSystem targetCRS)

  Construct a demo crs with following coordinate systems.

  Parameters:
    `sourceCRS` -
    `targetCRS` -

Method Detail

### doTransform

    public void doTransform(javax.vecmath.Point3d coordinate,
                            boolean withInverse)

  This method transforms the given coordinate (in the sourceCRS) into a coordinate of the targetCRS and back.

  Parameters:
    `coordinate` - to be transformed.
    `withInverse` - true if the inverse has to be calculated.

### main

    public static void main(String[] args)
                     throws UnknownCRSException,
                            IOException

  a starter method to transform a given point or a serie of points read from a file.

  Parameters:
    `args` -
  Throws:
    `UnknownCRSException`
    `IOException` - if the buffered reader could not read from the file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org